# Directory Entry Comments

Directory Entry Comments

 - [GET /directoryEntryComments/public/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryidpublic.md): Returns a list of records with the specified entry_id
 - [POST /directoryEntryComments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/createdirectoryentrycomment.md): This method will auto-generate an ID and create a new directory entry comment. If an ID is specified for the directory entry comment, an error will be thrown.
 - [POST /directoryEntryComments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /directoryEntryComments/{tenantId}/directory/{directory_service}/{directory_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbydirectoryid.md): Returns a list of records with the specified directory_id
 - [GET /directoryEntryComments/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryid.md): Returns a list of records with the specified entry_id
 - [GET /directoryEntryComments/{tenantId}/submitter/{submitter_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbysubmitterid.md): Returns a list of records with the specified submitter_id
 - [DELETE /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/deletedirectoryentrycomment.md): This method will delete a directory entry comment with the specified ID.
 - [GET /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/getdirectoryentrycomment.md): This method will look up a directory entry comment by the specified ID and return it back.
 - [PATCH /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/patchdirectoryentrycomment.md): This method will patch an existing directory entry comment with the specified ID, using the HTTP PATCH specification.
 - [PUT /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/updatedirectoryentrycomment.md): This method will update an existing directory entry comment with the specified ID.
